class CounponModel {
  String bg_img;
  String coupon_endtime;
  String coupon_price;
  String coupon_price_color;
  String coupon_time_color;
  String coupon_title;
  String coupon_title_color;
  String coupon_url;
  String price_type;
  String price_type_color;

  CounponModel(
      {this.bg_img,
      this.coupon_endtime,
      this.coupon_price,
      this.coupon_price_color,
      this.coupon_time_color,
      this.coupon_title,
      this.coupon_title_color,
      this.coupon_url,
      this.price_type,
      this.price_type_color});

  factory CounponModel.fromJson(Map<String, dynamic> json) {
    return CounponModel(
      bg_img: json['bg_img'],
      coupon_endtime: json['coupon_endtime'],
      coupon_price: json['coupon_price'],
      coupon_price_color: json['coupon_price_color'],
      coupon_time_color: json['coupon_time_color'],
      coupon_title: json['coupon_title'],
      coupon_title_color: json['coupon_title_color'],
      coupon_url: json['coupon_url'],
      price_type: json['price_type'],
      price_type_color: json['price_type_color'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['bg_img'] = this.bg_img;
    data['coupon_endtime'] = this.coupon_endtime;
    data['coupon_price'] = this.coupon_price;
    data['coupon_price_color'] = this.coupon_price_color;
    data['coupon_time_color'] = this.coupon_time_color;
    data['coupon_title'] = this.coupon_title;
    data['coupon_title_color'] = this.coupon_title_color;
    data['coupon_url'] = this.coupon_url;
    data['price_type'] = this.price_type;
    data['price_type_color'] = this.price_type_color;
    return data;
  }
}
