class HomeAuthModel {
  String taobaoAuthIcon;
  String taoaboTipBgColor;
  String taoaboTipShadowColor;
  String taoaboTipTextColor;
  String taoaboTipText;
  String taoaboTipBtnTextColor;
  String taoaboTipBtnBgColor;
  String taoaboTipBtnText;

  HomeAuthModel(
      {this.taobaoAuthIcon,
        this.taoaboTipBgColor,
        this.taoaboTipShadowColor,
        this.taoaboTipTextColor,
        this.taoaboTipText,
        this.taoaboTipBtnTextColor,
        this.taoaboTipBtnBgColor,
        this.taoaboTipBtnText});

  HomeAuthModel.fromJson(Map<String, dynamic> json) {
    taobaoAuthIcon = json['taobao_auth_icon'];
    taoaboTipBgColor = json['taoabo_tip_bg_color'];
    taoaboTipShadowColor = json['taoabo_tip_shadow_color'];
    taoaboTipTextColor = json['taoabo_tip_text_color'];
    taoaboTipText = json['taoabo_tip_text'];
    taoaboTipBtnTextColor = json['taoabo_tip_btn_text_color'];
    taoaboTipBtnBgColor = json['taoabo_tip_btn_bg_color'];
    taoaboTipBtnText = json['taoabo_tip_btn_text'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['taobao_auth_icon'] = this.taobaoAuthIcon;
    data['taoabo_tip_bg_color'] = this.taoaboTipBgColor;
    data['taoabo_tip_shadow_color'] = this.taoaboTipShadowColor;
    data['taoabo_tip_text_color'] = this.taoaboTipTextColor;
    data['taoabo_tip_text'] = this.taoaboTipText;
    data['taoabo_tip_btn_text_color'] = this.taoaboTipBtnTextColor;
    data['taoabo_tip_btn_bg_color'] = this.taoaboTipBtnBgColor;
    data['taoabo_tip_btn_text'] = this.taoaboTipBtnText;
    return data;
  }
}

