
import 'package:flutter/material.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'package:zhiying_base_widget/widgets/team/fans/team_fans_item.dart';

///
/// 我的团队 - 用户详情
///
class TeamDetailsPage extends StatefulWidget {
  @override
  _TeamDetailsPageState createState() => _TeamDetailsPageState();
}

class _TeamDetailsPageState extends State<TeamDetailsPage> {
  @override
  Widget build(BuildContext context) {
    return _getMainWidget();
  }


  /// 主视图
  Widget _getMainWidget(){
    return Scaffold(
      backgroundColor: HexColor.fromHex('#F9F9F9'),
      body: CustomScrollView(
        slivers: <Widget>[


          /// 头部Bar
          SliverAppBar(
            // expandedHeight: 200.0,
            leading: IconButton(
              icon: Icon(
                Icons.arrow_back_ios,
                size: 22,
                color: HexColor.fromHex('#333333'),
              ),
              onPressed: () => Navigator.maybePop(context),
            ),
            backgroundColor: Colors.white,
            floating: true,
            pinned: true,
            title: Text(
              '用户详情',
              style: TextStyle(color: HexColor.fromHex('#333333'), fontWeight: FontWeight.bold, fontSize: 18),
            ),
            centerTitle: true,
            elevation: 0,
          ),

          /// TA的推荐人

          /// 推荐人的信息
          SliverToBoxAdapter(
            child: TeamFansItem(),
          ),

        ],
      ),
    );
  }

  /// 推荐人


  /// 推荐人的信息


  /// 本月数据 & 上个月数据

}
