class GoodsDetailsTitleModel {
  String commission_bg_color;
  String commission_text;
  String commission_text_color;
  String coupon_bg_color;
  String coupon_text;
  String coupon_text_color;
  String good_title_color;
  String provider_bg_color;
  String provider_name;
  String provider_name_color;
  String title;

  GoodsDetailsTitleModel(
      {this.commission_bg_color,
      this.commission_text,
      this.commission_text_color,
      this.coupon_bg_color,
      this.coupon_text,
      this.coupon_text_color,
      this.good_title_color,
      this.provider_bg_color,
      this.provider_name,
      this.provider_name_color,
      this.title});

  factory GoodsDetailsTitleModel.fromJson(Map<String, dynamic> json) {
    return GoodsDetailsTitleModel(
      commission_bg_color: json['commission_bg_color'],
      commission_text: json['commission_text'],
      commission_text_color: json['commission_text_color'],
      coupon_bg_color: json['coupon_bg_color'],
      coupon_text: json['coupon_text'],
      coupon_text_color: json['coupon_text_color'],
      good_title_color: json['good_title_color'],
      provider_bg_color: json['provider_bg_color'],
      provider_name: json['provider_name'],
      provider_name_color: json['provider_name_color'],
      title: json['title'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['commission_bg_color'] = this.commission_bg_color;
    data['commission_text'] = this.commission_text;
    data['commission_text_color'] = this.commission_text_color;
    data['coupon_bg_color'] = this.coupon_bg_color;
    data['coupon_text'] = this.coupon_text;
    data['coupon_text_color'] = this.coupon_text_color;
    data['good_title_color'] = this.good_title_color;
    data['provider_bg_color'] = this.provider_bg_color;
    data['provider_name'] = this.provider_name;
    data['provider_name_color'] = this.provider_name_color;
    data['title'] = this.title;
    return data;
  }
}
